Returning all disk types
Returning all disk types
When overridden by custom types, this endpoint returns the custom types and the response will include the dates that the custom disk types were created and modified.
Request
URI
GET
https://{opsmanager-installation}/api/v0/disk_types
COPY
Responses
200
OK
Returns
GetDiskTypes
of type(s)
application/json
{
"disk_types": [
{
"name": "string",
"builtin": false,
"size_mb": "number"
}
]
}
array of
disk_types
disk_types
Optional
disk_types
400
Setup is not completed
Returns
RequireSetupCompleted
of type(s)
application/json
{
"errors": {
"errors": [
"string"
]
}
}
object
errors
Optional
errors
401
Unauthorized
Returns
UnauthorizedResponse
of type(s)
application/json
{
"errors": {
"errors": [
"string"
]
}
}
object
errors
Optional
errors
403
Forbidden
Returns
ForbiddenResponse
of type(s)
application/json
{
"errors": {
"errors": [
"string"
]
}
}
object
errors
Optional
errors
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/api/v0/disk_types